Bug Hunting Session
Bug 105381 - FILESAVE: Footnotes per page not recognized in .DOC IN MSWORD ONLY
Summary: FILESAVE: Footnotes per page not recognized in .DOC IN MSWORD ONLY
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.0.0
Keywords: preBibisect
Depends on:
Blocks:
 
Reported: 2017-01-17 06:44 UTC by Justin L
Modified: 2017-10-25 08:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2017-01-17 06:44:54 UTC
When opening a document that was set to restart footnote numbering on each page, if the document is saved as a DOC then it reverts to continuous numbering *in MSWord only*. (LibreOffice DOES import with per-page numbering).

According to Linux bibisect43all, this has been true since at least LO3.5.

This is a companion to DOCX bug 92470.  Use that bug's ODT attachment 116974 [details] which has per-page renumbering.  When saving it as a .doc format, MSWord will still consider it to be "continuous" numbering.
Comment 1 Justin L 2017-10-21 15:43:30 UTC
proposed fix: https://gerrit.libreoffice.org/43622
Comment 2 Commit Notification 2017-10-25 08:24:17 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e46d27a692f43192ba29f03c473f43bb16c1444f

tdf#105381 ww8export: support footnote numbering per page

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.